function init(hero) {
    hero.setName("Robin");
    hero.setVersion("Titans");
    hero.setTier(4);
    
    hero.setHelmet("Mask");
    hero.setChestplate("Chestpiece");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    hero.addEquipment("fiskheroes:grappling_gun");
    
    hero.addAbilities("fiskheroes:utility_belt", "fiskheroes:gliding");
    hero.addAttribute("ATTACK_DAMAGE", 0.65, 1);
    hero.addAttribute("FALL_RESISTANCE", 4.75, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.25, 0);
    hero.addAttribute("PUNCH_DAMAGE", 6.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.5, 1);
    
    hero.addKeyBind("UTILITY_SWITCH", "key.utilitySwitch", 1);
    hero.addKeyBind("UTILITY_RESET", "key.utilityReset", 2);
    
    hero.setHasPermission(hasPermission);
}

function hasPermission(entity, permission) {
    return permission == "USE_GRAPPLING_GUN";
}
